Bug 643889

Summary: Dynamic linker failed to align TCB for AVX
Product: [Fedora] Fedora Reporter: H.J. Lu <hongjiu.lu>
Component: glibcAssignee: Andreas Schwab <schwab>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: low    
Version: 13CC: ebachalo, fweimer, hongjiu.lu, jakub, jane.lv, jvillalo, jwest, luyu, pm-eus, pm-rhel, pmuller, rpacheco, schwab, syeghiay
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: glibc-2.12.2-1 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 643343 Environment:
Last Closed: 2010-12-25 22:24:39 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 642584, 643343    
Bug Blocks:    

Description H.J. Lu 2010-10-18 12:37:58 UTC
+++ This bug was initially created as a clone of Bug #643343 +++

On 64-bit x86 systems with support for AVX vector registers, an insufficient
alignment of the thread descriptor may have caused an application to crash
during symbol resolution. The "TCB_ALIGNMENT" value should be increased to 32
bytes to avoid applications no longer crash. The trunk patch is at

http://sourceware.org/git/?p=glibc.git;a=patch;h=f90681487d90a6eea8f1c60021bc8dd83313c59b

Comment 1 Fedora Update System 2010-11-30 14:39:04 UTC
glibc-2.11.3-1 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/glibc-2.11.3-1

Comment 2 Fedora Update System 2010-11-30 22:30:37 UTC
glibc-2.11.3-1 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update glibc'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/glibc-2.11.3-1

Comment 3 Fedora Update System 2010-12-13 15:22:42 UTC
glibc-2.12.2-1 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/glibc-2.12.2-1

Comment 4 Fedora Update System 2010-12-13 20:04:45 UTC
glibc-2.12.2-1 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update glibc'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/glibc-2.12.2-1

Comment 5 Fedora Update System 2010-12-25 22:24:33 UTC
glibc-2.12.2-1 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.